HepMC3 event record library: GenEventData Struct Reference

HepMC3 event record library

Data Fields
GenEventData Struct Reference

## Detailed Description

Stores serializable event information.

Definition at line 26 of file GenEventData.h.

`#include <GenEventData.h>`

Collaboration diagram for GenEventData:
[legend]

## Data Fields
int | event_number
| Event number.
Units::MomentumUnit | momentum_unit
| Momentum unit.
Units::LengthUnit | length_unit
| Length unit.
std::vector< GenParticleData > | particles
| Particles.
std::vector< GenVertexData > | vertices
| Vertices.
std::vector< double > | weights
| Weights.
FourVector | event_pos
| Event position.
std::vector< int > | links1
| First id of the vertex links.
std::vector< int > | links2
| Second id of the vertex links.
std::vector< int > | attribute_id
| Attribute owner id.
std::vector< std::string > | attribute_name
| Attribute name.
std::vector< std::string > | attribute_string
| Attribute serialized as string.

## Field Documentation

## ◆ attribute_id

std::vector<int> attribute_id

Attribute owner id.

Definition at line 54 of file GenEventData.h.

## ◆ attribute_name

std::vector<std::string> attribute_name

Attribute name.

Definition at line 55 of file GenEventData.h.

## ◆ attribute_string

std::vector<std::string> attribute_string

Attribute serialized as string.

Definition at line 56 of file GenEventData.h.

## ◆ event_number

int event_number

Event number.

Definition at line 27 of file GenEventData.h.

## ◆ event_pos

FourVector event_pos

Event position.

Definition at line 35 of file GenEventData.h.

## ◆ length_unit

Units::LengthUnit length_unit

Length unit.

Definition at line 29 of file GenEventData.h.

## ◆ links1

std::vector<int> links1

First id of the vertex links.

If this id is positive - it is the incoming particle id of a vertex which id is written in GenEventData::links2

If this id is negative - it's the id of a vertex which outgoing particle id is written in GenEventData::links2

The links1[i] points to links2[i]. In case links1[i] is particle, links2[i] is end vertex. In case links2[i] is vertex, links2[i] is outgoing particle. An example of usage is given in documentation.

Definition at line 51 of file GenEventData.h.

## ◆ links2

std::vector<int> links2

Second id of the vertex links.

Definition at line 52 of file GenEventData.h.

## ◆ momentum_unit

Units::MomentumUnit momentum_unit

Momentum unit.

Definition at line 28 of file GenEventData.h.

## ◆ particles

std::vector<GenParticleData> particles

Particles.

Definition at line 31 of file GenEventData.h.

## ◆ vertices

std::vector<GenVertexData> vertices

Vertices.

Definition at line 32 of file GenEventData.h.

## ◆ weights

std::vector<double> weights

Weights.

Definition at line 33 of file GenEventData.h.

The documentation for this struct was generated from the following file:

- GenEventData.h